#include<bits/stdc++.h>
#define ll long long
#define MAXN 300007
using namespace std;
ll h[MAXN];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    ll l, n;
    cin>>n>>l;
    for(int i=1;i<=n;i++)
        cin>>h[i];
    for(int i=1;i<=n;i++)
    {
        if(h[i]<=l)
        {
            cout<<i<<endl;
            return 0;
        }
    }
    cout<<-1<<endl;
    return 0;
}